import { Suspense } from "react";
import ShopDetail from "@/components/Shop/ShopDetail";
import { I18nProvider, getServerI18n } from "@/i18n";
import GeneralLoading from "@/components/General/GeneralLoading";

export default async function ShopDetailPage() {
  await getServerI18n("shop");
  return (
    <I18nProvider namespaces={["shop","navigation","common"]}>
      <Suspense fallback={<GeneralLoading />}>
        <ShopDetail />
      </Suspense>
    </I18nProvider>
  );
}
